<?php
$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_4079816faf" . "0560c6877e4" . "0230b8b965f" => base64_decode("REVMRVRFIEZST00gRVJNU19tZXRhZGF0YV9maWV" . "sZF92YWx1ZXMgV0hFUkUgbWV0YWRhdGFfaWQ9aW" . "50Om1ldGFfZmllbGRfaWQ="), "_2d4b5f427d4" . "8c3244c2f195" . "479a6ced7" => base64_decode("Y29tbW9uLm1l" . "dGFkYXRhLmJs" . "YW5rX3ZhbHVl" . "cw=="), "_e2e36e1c2215f261368b20d1574084" . "7e" => base64_decode("SU5TRVJUIElOVE8gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgKG1ldGFkYXRhX2lkLG1ldGFfdmFsdWUsbWV0YV9" . "0ZXh0KSBWQUxVRVMgKGludDptZXRhX2ZpZWxkX2lkLGludDprZXksIHN0cjp2YWwp"), "_2d71c65" . "5f2a62b5" . "d8b25dbf" . "8acf952f" . "d" => base64_decode("Q291bGRuJ3QgbG9hZC4gVW5kZWZpbmVkIG1l" . "dGEgZmllbGQgSUQ="), "_0926ec1594f048b9" . "fe0aa9aa05b9a243" => base64_decode("Q291bGRuJ3QgZGVsZXRlLiBVbmRlZmluZWQgbWV0YSBmaWVsZCBJ" . "RA=="), "_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG1zZw" . "=="), "_516340c61" . "8ee12b8bfb" . "13b0d280f2" . "69f" => base64_decode("U0VMRUNUIG1ldGFfdGV4dCBGUk9NIEVSTVNfbWV0YWRhdGFfZmllbGRfdmFsdWVzIF" . "dIRVJFIG1ldGFkYXRhX2lkPWludDptZXRhX2ZpZWxkX2lkIE9SREVSIEJZIG1ldGFf" . "dmFsdWU="), "_31767d7ad58e706dbf" . "47b7a51a0fe6c4" => base64_decode("Y2" . "91" . "bn" . "Q="), "_d162ad33b44d275ccc6e4b5280" . "b618df" => base64_decode("bWV0YV90" . "ZXh0"), "_80be54d4" . "bf79b1f17" . "7a6b4555a" . "e15ab7" => base64_decode("Q291bGRuJ3Qgc2F2ZS4gVW5kZWZpbmVkIG1" . "ldGEgZmllbGQgSUQ="), "_7f628626dd1d55c71b1fc" . "0932ffd1d2c" => base64_decode("aXNfYXJ" . "yYXk="));





class DynamicMetaFieldValues extends ErrorHandler
{
    var $meta_field_id = 0;
    var $values;
    function __construct($_6e38cb9e043a07cd69a1711a6704c62a = 0)
    {
        $this->meta_field_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        $this->Clear();
    }
    function Clear()
    {
        $this->values = array();
    }
    function Load()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_2d71c655f2a62b5d8b25dbf8ac" . "f952fd"]);
        }
        $this->Clear();
        $db = \Claromentis\Core\Services::I()->GetDb();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_516340c618ee12b8bfb13b0d280f26" . "9f"], $this->meta_field_id);
        if (!$_189840d11056515e52402d1412a0b6e4->hasData()) {
            return false;
        }
        while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->values[] = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_d162ad33b4" . "4d275ccc6e4" . "b5280b618df"]];
        }
        return true;
    }
    function Save()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_80be54d4bf79b1f177a6b4" . "555ae15ab7"]);
        }
        $this->Delete();
        $db = \Claromentis\Core\Services::I()->GetDb();
        foreach ($this->values as $key => $_c96f552040dea8086bf8bdd70059542f) {
            $db->query($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e2e36e1c2215f2613" . "68b20d15740847e"], $this->meta_field_id, $key, $_c96f552040dea8086bf8bdd70059542f);
        }
        return true;
    }
    function Delete()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0926ec1594f048b9fe0aa9aa05" . "b9a243"]);
        }
        $db = \Claromentis\Core\Services::I()->GetDb();
        return !!$db->query($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4079816faf0560c6877e40230b8b96" . "5f"], $this->meta_field_id);
    }
    function GetAllValues()
    {
        return $this->values;
    }
    function SetValues($values)
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_7f628626dd1d55c71b1fc09" . "32ffd1d2c"]($values) || $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_31767d7ad58e706dbf47b7a5" . "1a0fe6c4"]($values) == 0) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_2d4b5f427d48c3244c2f195479a6c" . "ed7"]));
        }
        $this->values = $values;
        if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_7f628626dd1d55c71b1fc0932ff" . "d1d2c"]($this->values)) {
            $this->values = array();
        }
        return true;
    }
}